package com.wdkl.ncs.android.component.home.settingconfig;

import android.content.Context;
import android.content.SharedPreferences;

public class SettingConfig {

    private static final String SP_NAME = "SP_FUNCTION";

    //呼叫转接时间设置
    private static final String KEY_SP_COUNTDOWN_TIME = "KEY_SP_COUNTDOWN_TIME";
    private static final int CountdownTime = 15;

    //分机通话音量
    private static final String KEY_SP_EXTENSION_CALL_VOLUME = "KEY_SP_EXTENSION_CALL_VOLUME";
    private static final int extension_call_volume = 80;

    /**
     * 获取转发时间
     *
     * @return
     */
    public static int getCountdownTime(Context context) {
        return getSP(context).getInt(KEY_SP_COUNTDOWN_TIME, CountdownTime);
    }

    /**
     * 设置转发时间
     *
     * @param value
     */
    public static void setCountdownTime(Context context, int value) {
        getEditor(context).putInt(KEY_SP_COUNTDOWN_TIME, value).apply();
    }

    /**
     * 获取分机通话音量
     *
     * @return
     */
    public static int getExtensionCallVolume(Context context) {
        return getSP(context).getInt(KEY_SP_EXTENSION_CALL_VOLUME, extension_call_volume);
    }

    /**
     * 设置分机通话音量
     *
     * @param value
     */
    public static void setExtensionCallVolume(Context context, int value) {
        getEditor(context).putInt(KEY_SP_EXTENSION_CALL_VOLUME, value).apply();
    }

    private static SharedPreferences getSP(Context context) {
        return context.getSharedPreferences(SP_NAME, Context.MODE_PRIVATE);
    }

    private static SharedPreferences.Editor getEditor(Context context) {
        return getSP(context).edit();
    }
}
