package com.wdkl.ncs.android.component.nursehome.util

import android.media.AudioManager
import android.media.MediaPlayer
import android.util.Log
import com.umeng.weixin.umengwx.e
import java.io.IOException
import java.lang.IllegalStateException

class MediaPlayer {
    private val TAG = MediaPlayer::class.java.getSimpleName()

    var mMediaPlayer: MediaPlayer? = null

    init {
        Log.e(TAG, "初始化播放器")
        mMediaPlayer = MediaPlayer()
        //这样设置 不能控制本音乐的音量大小 也就是setVolume无效
//        mMediaPlayer!!.setAudioStreamType(AudioManager.STREAM_MUSIC)
        mMediaPlayer!!.setAudioStreamType(AudioManager.STREAM_VOICE_CALL)
        mMediaPlayer!!.setOnCompletionListener {
            Log.e(TAG, "播放完成")
        }

        mMediaPlayer!!.setOnPreparedListener {
            Log.e(TAG, "加载完长")
            mMediaPlayer!!.start()
        }
        mMediaPlayer!!.setOnErrorListener { mp, what, extra ->
            Log.e(TAG, "异常")
            false
        }

    }

    //启动播放
    fun startMediaPlayer(url: String) {
        if ((mMediaPlayer != null && mMediaPlayer!!.isPlaying())) {
            mMediaPlayer!!.stop()
        }
        mMediaPlayer!!.reset()
        //设置音频文件到MediaPlayer对象中
        //测试地址 "http://file.kuyinyun.com/group1/M00/90/B7/rBBGdFPXJNeAM-nhABeMElAM6bY151.mp3"
        try {
            mMediaPlayer!!.setDataSource(url)
            //让MediaPlayer对象准备，用这个方法防止加载时耗时导致anr
            mMediaPlayer!!.prepareAsync()
        } catch (e: IOException) {
            e.printStackTrace()
            Log.e(TAG, "播放异常")
        }catch (e:IllegalStateException) {
            e.message
            Log.e(TAG, "IllegalStateException+播放异常");
        }

    }

    /**
     * 暂停播放
     */
    fun pauseMediaPlayer() {
        if (mMediaPlayer != null) {
            mMediaPlayer!!.pause()
        }

    }

    /**
     * 继续播放
     */
    fun continueToPlayMediaPlayer() {
        if (mMediaPlayer != null) {
            mMediaPlayer!!.start()
        }

    }

    /**
     * 停止播放
     */
    fun stopMediaPlayer() {
        if (mMediaPlayer != null) {
            mMediaPlayer!!.stop()
        }
    }

    /**
     * 释放播放器资源
     */
    fun releaseMediaPlayer() {
        if (mMediaPlayer != null) {
            try {
                mMediaPlayer!!.stop()
                mMediaPlayer!!.release()
            } catch (e: IllegalStateException) {

            }

        }
        mMediaPlayer = null
    }

    /**
     * 音量设置
     *setDataSource()方法之后设置才有效
     * @param volume
     */
    fun setVolume(volume: Float) {
        if (mMediaPlayer != null) {
            mMediaPlayer!!.setVolume(volume, volume)
        }
    }


}