package com.wdkl.ncs.android.component.home.broadcast

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.net.ConnectivityManager
import com.wdkl.ncs.android.component.home.util.NetHelper
import com.wdkl.ncs.android.component.home.util.Util.getCpuWakeLock
import com.wdkl.ncs.android.lib.utils.AppTool

class NetworkBroadcastReceiver: BroadcastReceiver() {
    override fun onReceive(context: Context?, intent: Intent?) {
        if (ConnectivityManager.CONNECTIVITY_ACTION == intent!!.action) {
            val netState = NetHelper.getInstance().getNetworkState(context)
            if (netState == NetHelper.NETWORK_NONE) {
                val cpuWakeLock = getCpuWakeLock(context!!)
                cpuWakeLock.acquire(3000)
            }
        }
    }

}