package com.wdkl.ncs.android.component.home.util;

import android.app.Activity;
import android.app.AlertDialog;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.wdkl.ncs.android.component.home.R;


public class CallDialogHelper {

    private static AlertDialog callDialog;

    public static void showCallDialog(Activity activity, int callType, String callText, View.OnClickListener hangupCall, View.OnClickListener acceptCall, View.OnClickListener rejectCall) {
        View contentView = LayoutInflater.from(activity).inflate(R.layout.call_dialog_lay, null);
        AlertDialog.Builder builder = new AlertDialog.Builder(activity);
        builder.setView(contentView);

        LinearLayout outCall = contentView.findViewById(R.id.ll_call_outgoing);
        ImageView hangup = contentView.findViewById(R.id.iv_hangup_call);

        RelativeLayout inCall = contentView.findViewById(R.id.rl_call_incoming);
        ImageView accept = contentView.findViewById(R.id.iv_accept_call);
        ImageView reject = contentView.findViewById(R.id.iv_reject_call);
        TextView inText = contentView.findViewById(R.id.tv_incoming_call_text);
        TextView outText = contentView.findViewById(R.id.tv_out_call_text);

        if (callType == 0) {
            //去电
            outCall.setVisibility(View.VISIBLE);
            inCall.setVisibility(View.GONE);
            outText.setText(callText);
            RingPlayHelper.playRingTone(activity, R.raw.ring_back2, true);
        } else {
            //来电
            outCall.setVisibility(View.GONE);
            inCall.setVisibility(View.VISIBLE);
            inText.setText(callText);
            RingPlayHelper.playRingTone(activity, R.raw.incoming_call, false);

        }

        hangup.setOnClickListener(hangupCall);
        accept.setOnClickListener(acceptCall);
        reject.setOnClickListener(rejectCall);

        callDialog = builder.create();
        callDialog.setCanceledOnTouchOutside(false);
        callDialog.setCancelable(false);

        //设置dialog宽高及位置
        try {
            Window window = callDialog.getWindow();
            window.setFlags(WindowManager.LayoutParams.FLAG_NOT_FOCUSABLE, WindowManager.LayoutParams.FLAG_NOT_FOCUSABLE);
            callDialog.show();
            WindowManager.LayoutParams lp = window.getAttributes();
            lp.width = 800;
            lp.height = 600;
            lp.gravity = Gravity.CENTER;
            //lp.alpha = 0.8f;//设置透明度
            window.setAttributes(lp);

            window.getDecorView().setSystemUiVisibility(View.SYSTEM_UI_FLAG_LAYOUT_STABLE
                    | View.SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION
                    | View.SYSTEM_UI_FLAG_HIDE_NAVIGATION
                    | View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY
                    | View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN
                    | View.SYSTEM_UI_FLAG_FULLSCREEN);
            window.clearFlags(WindowManager.LayoutParams.FLAG_NOT_FOCUSABLE);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void dismissCallDialog() {
        if (callDialog != null && callDialog.isShowing()) {
            callDialog.dismiss();
            RingPlayHelper.stopRingTone();
        }
    }
}
