package com.wdkl.app.ncs.application

import com.enation.javashop.android.jrouter.JRouter
import com.enation.javashop.net.engine.config.NetEngineConfig
import com.enation.javashop.net.engine.plugin.exception.RestfulExceptionInterceptor
import com.enation.javashop.utils.base.config.BaseConfig
import com.wdkl.ncs.android.component.home.util.AnrFcExceptionUtil
import com.wdkl.ncs.android.lib.base.BaseApplication

/**
 * @author LDD
 * @Date   2018/1/11 下午12:48
 * @From   com.enation.javashop.android.application
 * @Note   应用Application
 */
class Application : BaseApplication() {


    /**
     * @author LDD
     * @From   Application
     * @Date   2018/1/11 下午12:50
     * @Note   应用启动时调用
     */
    override fun onCreate() {
        super.onCreate()

        initRouter()
        initFrame()
        initLeaks()
    }

    /**
     * @author  LDD
     * @From    Application
     * @Date   2018/1/11 下午12:50
     * @Note   初始化路由
     * @return rx观察者
     */
    private fun initRouter() {
        JRouter.init(this)
        JRouter.openDebug()
        JRouter.openLog()
//        JRouter.prepare().create("/welcome/launch").seek()
        JRouter.prepare().create("/home/launch").seek()
//        JRouter.prepare().create("/setting/launch").seek()
//        JRouter.prepare().create("/shop/launch").seek()
//        JRouter.prepare().create("/extra/launch").seek()

//        JRouter.prepare().create("/hello/launch").seek()
    }

    /**
     * @author  LDD
     * @From    Application
     * @Date   2018/1/11 下午12:50
     * @Note   初始化内存检测器
     * @return rx观察者
     */
    private fun initLeaks() {
//        if (JavaShopConfigCenter.INSTANCE.APP_DEV) {
//            LeakCanary.install(this)
//        }
    }

    /**
     * @author  LDD
     * @From    Application
     * @Date   2018/1/11 下午12:50
     * @Note   初始化内部框架
     * @return rx观察者
     */
    private fun initFrame() {
        BaseConfig.getInstance().addActivity("HomeActivity", "AppUpdateActivity")

        NetEngineConfig.init(baseContext)
                .openLogger()
                .addNetInterceptor(RestfulExceptionInterceptor())

        //anr catcher
        AnrFcExceptionUtil.getInstance(this).initFCException()
    }
}