package com.wdkl.ncs.android.middleware.di

import com.wdkl.ncs.android.middleware.api.*
import dagger.Module
import dagger.Provides

/**
 * @author  LDD
 * @Data   2017/12/26 上午7:30
 * @From   com.wdkl.ncs.android.lib.di
 * @Note   MainModlue模块提供者
 */
@Module
class ApiProvides {

    /**
     * @author  LDD
     * @From   com.wdkl.ncs.android.middleware.di
     * @Data   2017/12/26 上午7:30
     * @Note   售后ApI
     * @return 售后API
     */
    @Provides
    fun provideAfterSaleApi(): AfterSaleApi{
        return ApiManager.API_AFTERSALE
    }


    /**
     * @author  LDD
     * @From   com.wdkl.ncs.android.middleware.di
     * @Data   2017/12/26 上午7:30
     * @Note   会员ApI
     * @return 会员API
     */
    @Provides
    fun provideMemberApi(): MemberApi{
        return ApiManager.API_MEMBER
    }

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date   2018/8/10 下午12:59
     * @Note   基础Api
     */
    @Provides
    fun provideBaseApi():BaseApi{
        return  ApiManager.BASE_API
    }

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date   2018/8/10 下午12:59
     * @Note   护照Api
     */
    @Provides
    fun providePassportApi():PassportApi{
        return  ApiManager.PASSPORT_API
    }


    //======================================= 以下护士手表相关 =====================================

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date  获取设备信息和tcp通讯地址api
     * @Note
     */
    @Provides
    fun provideWatchDeviceInfoAndTCPMailingAddressApi():WatchDeviceInfoAndTCPMailingAddressApi{
        return  ApiManager.API_WatchDeviceInfoAndTCPMailingAddress
    }

    /**
      用户列表api
     */
    @Provides
    fun provideWatchManageDeviceApi():WatchManageDeviceApi{
        return ApiManager.API_WatchManageDevice
    }

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date
     * @Note   全部通话记录api
     */
    @Provides
    fun provideWatchCallRecordsApi():WatchCallRecordsApi{
        return  ApiManager.API_WatchCallRecords
    }

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date  获取指定用户api
     * @Note
     */
    @Provides
    fun provideWatchNamedUserApi():WatchNamedUserApi{
        return  ApiManager.Api_WatchNamedUser
    }

    /**
     * @author LDD
     * @From   ApplicationComponent
     */
    @Provides
    fun provideWatchUntreatedApi():WatchUntreatedApi{
        return  ApiManager.Api_WatchUntreated
    }
}
