package com.wdkl.ncs.android.middleware.di

import com.wdkl.ncs.android.middleware.api.*
import dagger.Component

/**
 * @author  LDD
 * @Data   2017/12/26 上午7:29
 * @From   com.wdkl.ncs.android.lib.di
 * @Note   Dogger依赖注入基础模块
 */
@Component(modules = arrayOf(ApiProvides::class))
interface ApplicationComponent {

    /**
     * @author  LDD
     * @From   com.wdkl.ncs.android.middleware.di
     * @Data   2017/12/26 上午7:30
     * @Note   售后ApI
     * @return 售后API
     */
    fun provideAfterSaleApi(): AfterSaleApi
    /**
     * @author  LDD
     * @From   com.wdkl.ncs.android.middleware.di
     * @Data   2017/12/26 上午7:30
     * @Note   会员ApI
     * @return 会员API
     */
    fun provideMemberApi():MemberApi

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date   2018/8/10 下午12:59
     * @Note   基础Api
     */
    fun provideBaseApi() :BaseApi

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date   2018/8/10 下午12:59
     * @Note   护照Api
     */
    fun providePassportApi():PassportApi



    //======================================= 以下护士手表相关 ====================================

    /**
    用户列表api
     */
    fun provideWatchManageDeviceApi() :WatchManageDeviceApi

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date
     * @Note   通话记录Api
     */
    fun provideWatchCallRecordsApi(): WatchCallRecordsApi

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date 获取设备信息和tcp通讯地址api
     * @Note
     */
    fun provideWatchDeviceInfoAndTCPMailingAddressApi(): WatchDeviceInfoAndTCPMailingAddressApi

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date 获取指定用户api
     * @Note
     */
    fun provideWatchNamedUserApi(): WatchNamedUserApi

    /**
     * @author LDD
     * @From   ApplicationComponent
     * @Date
     * @Note
     */
    fun provideWatchUntreatedApi(): WatchUntreatedApi
}
