package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@Table(name = "ncs_part_setting")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class PartSettingDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "null", required = false)
    private Long updateTime;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * 白天开始时间
     */
    @Column(name = "day_start")
    @ApiModelProperty(value = "白天开始时间", required = false)
    private String dayStart;
    /**
     * 白天背光亮度
     */
    @Column(name = "day_light")
    @ApiModelProperty(value = "白天背光亮度", required = false)
    private Integer dayLight;
    /**
     * 白天通话音量
     */
    @Column(name = "day_vol")
    @ApiModelProperty(value = "白天通话音量", required = false)
    private Integer dayVol;
    /**
     * 白天响铃音量
     */
    @Column(name = "day_ring_vol")
    @ApiModelProperty(value = "白天响铃音量", required = false)
    private Integer dayRingVol;
    /**
     * 白天响铃次数
     */
    @Column(name = "day_ring_times")
    @ApiModelProperty(value = "白天响铃次数", required = false)
    private Integer dayRingTimes;
    /**
     * 白天护理灯亮度
     */
    @Column(name = "day_nurse_led")
    @ApiModelProperty(value = "白天护理灯亮度", required = false)
    private Integer dayNurseLed;
    /**
     * 白天门口机通话音量
     */
    @Column(name = "day_door_vol")
    @ApiModelProperty(value = "白天门口机通话音量", required = false)
    private Integer dayDoorVol;
    /**
     * 白天床头机通话音量
     */
    @Column(name = "day_bed_vol")
    @ApiModelProperty(value = "白天床头机通话音量", required = false)
    private Integer dayBedVol;
    /**
     * 白天转换盒通话音量
     */
    @Column(name = "day_transfer_box_vol")
    @ApiModelProperty(value = "白天转换盒通话音量", required = false)
    private Integer dayTransferBoxVol;
    /**
     * 白天转换盒系统音量
     */
    @Column(name = "day_transfer_box_system_vol")
    @ApiModelProperty(value = "白天转换盒系统音量", required = false)
    private Integer dayTransferBoxSystemVol;
    /**
     * 夜晚开始时间
     */
    @Column(name = "night_start")
    @ApiModelProperty(value = "夜晚开始时间", required = false)
    private String nightStart;
    /**
     * 夜晚背光亮度
     */
    @Column(name = "night_light")
    @ApiModelProperty(value = "夜晚背光亮度", required = false)
    private Integer nightLight;
    /**
     * 夜晚通话音量
     */
    @Column(name = "night_vol")
    @ApiModelProperty(value = "夜晚通话音量", required = false)
    private Integer nightVol;
    /**
     * 夜晚响铃音量
     */
    @Column(name = "night_ring_vol")
    @ApiModelProperty(value = "夜晚响铃音量", required = false)
    private Integer nightRingVol;
    /**
     * 夜晚响铃次数
     */
    @Column(name = "night_ring_times")
    @ApiModelProperty(value = "夜晚响铃次数", required = false)
    private Integer nightRingTimes;
    /**
     * 夜晚护理灯亮度
     */
    @Column(name = "night_nurse_led")
    @ApiModelProperty(value = "夜晚护理灯亮度", required = false)
    private Integer nightNurseLed;
    /**
     * 夜晚门口机通话音量
     */
    @Column(name = "night_door_vol")
    @ApiModelProperty(value = "夜晚门口机通话音量", required = false)
    private Integer nightDoorVol;
    /**
     * 夜晚床头机通话音量
     */
    @Column(name = "night_bed_vol")
    @ApiModelProperty(value = "夜晚床头机通话音量", required = false)
    private Integer nightBedVol;
    /**
     * 夜晚转换盒通话音量
     */
    @Column(name = "night_transfer_box_vol")
    @ApiModelProperty(value = "夜晚转换盒通话音量", required = false)
    private Integer nightTransferBoxVol;
    /**
     * 夜晚转换盒系统音量
     */
    @Column(name = "night_transfer_box_system_vol")
    @ApiModelProperty(value = "夜晚转换盒系统音量", required = false)
    private Integer nightTransferBoxSystemVol;
    /**
     * 护士机熄屏时间，单位：秒
     */
    @Column(name = "sleep_seconds_nurse")
    @ApiModelProperty(value = "护士机熄屏时间，单位：秒", required = false)
    private Integer sleepSecondsNurse;
    /**
     * 门口机熄屏时间，单位：秒
     */
    @Column(name = "sleep_seconds_door")
    @ApiModelProperty(value = "门口机熄屏时间，单位：秒", required = false)
    private Integer sleepSecondsDoor;
    /**
     * 病床分机熄屏时间，单位：秒
     */
    @Column(name = "sleep_seconds_bed")
    @ApiModelProperty(value = "病床分机熄屏时间，单位：秒", required = false)
    private Integer sleepSecondsBed;

    /**
     * 呼叫响应超时，单位：秒
     */
    @Column(name = "sip_overtime")
    @ApiModelProperty(value = "呼叫响应超时，单位：秒", required = false)
    private Integer sipOvertime;

    /**
     * 护士转接时长,单位:秒
     */
    @Column(name = "transfer_duration")
    @ApiModelProperty(value = "护士转接时长,单位:秒", required = false)
    private Integer transferDuration;

    /**
     * 护士组长转接时长,单位:秒
     */
    @Column(name = "transfer_duration_leader")
    @ApiModelProperty(value = "护士组长转接时长,单位:秒", required = false)
    private Integer transferDurationLeader;


    /**
     * 分机通讯模式
     */
    @Column(name = "communication_mode_bed")
    @ApiModelProperty(value = "分机通讯模式(分机通话模式:1-网络电话,2-移动电话,3-座机号)", required = true)
    private Integer communicationModeBed;


    /**
     * 护士主机通讯模式
     */
    @Column(name = "communication_mode_nurse")
    @ApiModelProperty(value = "护士主机通讯模式(分机通话模式:1-网络电话,2-移动电话,3-座机号)", required = true)
    private Integer communicationModeNurse;

    /**
     * 移动端(手机)通讯模式
     */
    @Column(name = "communication_mode_mobile")
    @ApiModelProperty(value = "护士主机通讯模式(分机通话模式:1-网络电话,2-移动电话,3-座机号)", required = true)
    private Integer communicationModeMobile;


    /**
     * 分机自定义呼叫角色按钮1
     */
    @Column(name = "customize_role_call_first")
    @ApiModelProperty(value = "分机自定义呼叫角色按钮1要呼叫的角色ID", required = true)
    private Integer customizeRoleCallFirst;

    /**
     * 分机自定义呼叫角色按钮2
     */
    @Column(name = "customize_role_call_second")
    @ApiModelProperty(value = "分机自定义呼叫角色按钮2要呼叫的角色ID", required = true)
    private Integer customizeRoleCallSecond;
    /**
     *	分机自定义呼叫角色按钮3对应的角色id
     */	@Column(name = "customize_role_call_third" )
    @ApiModelProperty(value="分机自定义呼叫角色按钮3对应的角色id",required=false)
    private Integer customizeRoleCallThird;
    /**
     *	分机自定义呼叫角色按钮4对应的角色id
     */	@Column(name = "customize_role_call_fourth" )
    @ApiModelProperty(value="分机自定义呼叫角色按钮4对应的角色id",required=false)
    private Integer customizeRoleCallFourth;
    /**
     *	分机自定义呼叫角色按钮5对应的角色id
     */	@Column(name = "customize_role_call_fifth" )
    @ApiModelProperty(value="分机自定义呼叫角色按钮5对应的角色id",required=false)
    private Integer customizeRoleCallFifth;
    /**
     *	科室自定义呼叫医院级设备1的id
     */	@Column(name = "customize_hospital_call_first" )
    @ApiModelProperty(value="科室自定义呼叫医院级设备1的id",required=false)
    private Integer customizeHospitalCallFirst;
    /**
     *	科室自定义呼叫医院级设备1的名称
     */	@Column(name = "customize_hospital_call_first_name" )
    @ApiModelProperty(value="科室自定义呼叫医院级设备1的名称",required=false)
    private String customizeHospitalCallFirstName;
    /**
     *	科室自定义呼叫医院级设备2的id
     */	@Column(name = "customize_hospital_call_second" )
    @ApiModelProperty(value="科室自定义呼叫医院级设备2的id",required=false)
    private Integer customizeHospitalCallSecond;
    /**
     *	科室自定义呼叫医院级设备2的名称
     */	@Column(name = "customize_hospital_call_second_name" )
    @ApiModelProperty(value="科室自定义呼叫医院级设备2的名称",required=false)
    private String customizeHospitalCallSecondName;
    /**
     *	科室自定义呼叫医院级设备3的id
     */	@Column(name = "customize_hospital_call_third" )
    @ApiModelProperty(value="科室自定义呼叫医院级设备3的id",required=false)
    private Integer customizeHospitalCallThird;
    /**
     *	科室自定义呼叫医院级设备3的名称
     */
    @Column(name = "customize_hospital_call_third_name" )
    @ApiModelProperty(value="科室自定义呼叫医院级设备3的名称",required=false)
    private String customizeHospitalCallThirdName;

    /**
     *	用户名字是否隐藏，0就是不隐藏，1就是隐藏
     */
    @Column(name = "customer_name_hidden" )
    @ApiModelProperty(value="用户名字是否隐藏，0就是不隐藏，1就是隐藏",required=false)
    private Integer customerNameHidden;

    @Column(name = "doctor_title")
    @ApiModelProperty(value = "模拟分机医生标题", required = true)
    private String doctorTitle;

    @Column(name = "doctor_valid")
    @ApiModelProperty(value = "是否显示模拟分机医生标题", required = true)
    private Integer doctorValid;

    @Column(name = "nurse_title")
    @ApiModelProperty(value = "模拟分机护士标题", required = true)
    private String nurseTitle;

    @Column(name = "nurse_valid")
    @ApiModelProperty(value = "是否显示模拟分机护士标题", required = true)
    private Integer nurseValid;
    /**
     *	门口机呼叫护士的标题
     */
    @Column(name = "door_nurse_title" )
    @ApiModelProperty(value="门口机呼叫护士的标题",required=false)
    private String doorNurseTitle;
    /**
     *	是否显示门口机呼叫护士的标题
     */
    @Column(name = "door_nurse_valid" )
    @ApiModelProperty(value="是否显示门口机呼叫护士的标题",required=false)
    private Integer doorNurseValid;
    /**
     *	门口机进入护理的标题
     */
    @Column(name = "door_nursing_title" )
    @ApiModelProperty(value="门口机进入护理的标题",required=false)
    private String doorNursingTitle;
    /**
     *	是否显示进入护理的标题
     */
    @Column(name = "door_nursing_valid" )
    @ApiModelProperty(value="是否显示进入护理的标题",required=false)
    private Integer doorNursingValid;

    @Column(name = "up_seconds")
    @ApiModelProperty(value = "腕表上传定位时间间隔", required = true)
    private Integer upSeconds;

    @Column(name = "auto_accept")
    @ApiModelProperty(value = "分机是否自动接听，0就是不开启，1就是开启", required = true)
    private Integer autoAccept;

    @Column(name = "board_show_empty_bed")
    @ApiModelProperty(value = "信息看板显示空床位", required = true)
    private Boolean boardShowEmptyBed;

    /**
     *	事件是否开启转发
     */	@Column(name = "event_forward" )
    @ApiModelProperty(value="事件是否开启转发",required=false)
    private Integer eventForward;
    /**
     *	护理灯颜色
     */	@Column(name = "nursing_color_rgb" )
    @ApiModelProperty(value="护理门灯颜色",required=false)
    private String nursingColorRgb;
    /**
     *	是否开启双色门灯
     */	@Column(name = "two_color_door_light_valid" )
    @ApiModelProperty(value="是否开启双色门灯",required=false)
    private Integer twoColorDoorLightValid;
    /**
     *	图片地址
     */	@Column(name = "qr_url" )
    @ApiModelProperty(value="图片地址",required=false)
    private String qrUrl;
    /**
     *	群留言记录保留天数
     */	@Column(name = "channel_im_history_store_days" )
    @ApiModelProperty(value="群留言记录保留天数",required=false)
    private Integer channelImHistoryStoreDays;
    /**
     *	是否开启双色门灯
     */	@Column(name = "record_enabled" )
    @ApiModelProperty(value="是否开启录音录像功能",required=false)
    private Integer recordEnabled;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public String getDayStart() {
        return dayStart;
    }

    public void setDayStart(String dayStart) {
        this.dayStart = dayStart;
    }


    public Integer getDayLight() {
        return dayLight;
    }

    public void setDayLight(Integer dayLight) {
        this.dayLight = dayLight;
    }

    public Integer getDayVol() {
        return dayVol;
    }

    public void setDayVol(Integer dayVol) {
        this.dayVol = dayVol;
    }

    public Integer getDayRingVol() {
        return dayRingVol;
    }

    public void setDayRingVol(Integer dayRingVol) {
        this.dayRingVol = dayRingVol;
    }

    public Integer getDayRingTimes() {
        return dayRingTimes;
    }

    public void setDayRingTimes(Integer dayRingTimes) {
        this.dayRingTimes = dayRingTimes;
    }

    public Integer getDayNurseLed() {
        return dayNurseLed;
    }

    public void setDayNurseLed(Integer dayNurseLed) {
        this.dayNurseLed = dayNurseLed;
    }

    public Integer getDayDoorVol() {
        return dayDoorVol;
    }

    public void setDayDoorVol(Integer dayDoorVol) {
        this.dayDoorVol = dayDoorVol;
    }

    public Integer getDayBedVol() {
        return dayBedVol;
    }

    public void setDayBedVol(Integer dayBedVol) {
        this.dayBedVol = dayBedVol;
    }

    public Integer getDayTransferBoxVol() {
        return dayTransferBoxVol;
    }

    public void setDayTransferBoxVol(Integer dayTransferBoxVol) {
        this.dayTransferBoxVol = dayTransferBoxVol;
    }

    public Integer getDayTransferBoxSystemVol() {
        return dayTransferBoxSystemVol;
    }

    public void setDayTransferBoxSystemVol(Integer dayTransferBoxSystemVol) {
        this.dayTransferBoxSystemVol = dayTransferBoxSystemVol;
    }

    public String getNightStart() {
        return nightStart;
    }

    public void setNightStart(String nightStart) {
        this.nightStart = nightStart;
    }

    public Integer getNightLight() {
        return nightLight;
    }

    public void setNightLight(Integer nightLight) {
        this.nightLight = nightLight;
    }

    public Integer getNightVol() {
        return nightVol;
    }

    public void setNightVol(Integer nightVol) {
        this.nightVol = nightVol;
    }

    public Integer getNightRingVol() {
        return nightRingVol;
    }

    public void setNightRingVol(Integer nightRingVol) {
        this.nightRingVol = nightRingVol;
    }

    public Integer getNightRingTimes() {
        return nightRingTimes;
    }

    public void setNightRingTimes(Integer nightRingTimes) {
        this.nightRingTimes = nightRingTimes;
    }

    public Integer getNightNurseLed() {
        return nightNurseLed;
    }

    public void setNightNurseLed(Integer nightNurseLed) {
        this.nightNurseLed = nightNurseLed;
    }

    public Integer getNightDoorVol() {
        return nightDoorVol;
    }

    public void setNightDoorVol(Integer nightDoorVol) {
        this.nightDoorVol = nightDoorVol;
    }

    public Integer getNightBedVol() {
        return nightBedVol;
    }

    public void setNightBedVol(Integer nightBedVol) {
        this.nightBedVol = nightBedVol;
    }

    public Integer getNightTransferBoxVol() {
        return nightTransferBoxVol;
    }

    public void setNightTransferBoxVol(Integer nightTransferBoxVol) {
        this.nightTransferBoxVol = nightTransferBoxVol;
    }

    public Integer getNightTransferBoxSystemVol() {
        return nightTransferBoxSystemVol;
    }

    public void setNightTransferBoxSystemVol(Integer nightTransferBoxSystemVol) {
        this.nightTransferBoxSystemVol = nightTransferBoxSystemVol;
    }

    public Integer getSleepSecondsNurse() {
        return sleepSecondsNurse;
    }

    public void setSleepSecondsNurse(Integer sleepSecondsNurse) {
        this.sleepSecondsNurse = sleepSecondsNurse;
    }

    public Integer getSleepSecondsDoor() {
        return sleepSecondsDoor;
    }

    public void setSleepSecondsDoor(Integer sleepSecondsDoor) {
        this.sleepSecondsDoor = sleepSecondsDoor;
    }

    public Integer getSleepSecondsBed() {
        return sleepSecondsBed;
    }

    public void setSleepSecondsBed(Integer sleepSecondsBed) {
        this.sleepSecondsBed = sleepSecondsBed;
    }

    public Integer getSipOvertime() {
        return sipOvertime;
    }

    public void setSipOvertime(Integer sipOvertime) {
        this.sipOvertime = sipOvertime;
    }

    public Integer getTransferDuration() {
        return transferDuration;
    }

    public void setTransferDuration(Integer transferDuration) {
        this.transferDuration = transferDuration;
    }

    public Integer getTransferDurationLeader() {
        return transferDurationLeader;
    }

    public void setTransferDurationLeader(Integer transferDurationLeader) {
        this.transferDurationLeader = transferDurationLeader;
    }

    public Integer getCommunicationModeBed() {
        return communicationModeBed;
    }

    public void setCommunicationModeBed(Integer communicationModeBed) {
        this.communicationModeBed = communicationModeBed;
    }

    public Integer getCommunicationModeNurse() {
        return communicationModeNurse;
    }

    public void setCommunicationModeNurse(Integer communicationModeNurse) {
        this.communicationModeNurse = communicationModeNurse;
    }

    public Integer getCommunicationModeMobile() {
        return communicationModeMobile;
    }

    public void setCommunicationModeMobile(Integer communicationModeMobile) {
        this.communicationModeMobile = communicationModeMobile;
    }

    public Integer getCustomizeRoleCallFirst() {
        return customizeRoleCallFirst;
    }

    public void setCustomizeRoleCallFirst(Integer customizeRoleCallFirst) {
        this.customizeRoleCallFirst = customizeRoleCallFirst;
    }

    public Integer getCustomizeRoleCallSecond() {
        return customizeRoleCallSecond;
    }

    public void setCustomizeRoleCallSecond(Integer customizeRoleCallSecond) {
        this.customizeRoleCallSecond = customizeRoleCallSecond;
    }

    public Integer getCustomizeRoleCallThird() {
        return customizeRoleCallThird;
    }

    public void setCustomizeRoleCallThird(Integer customizeRoleCallThird) {
        this.customizeRoleCallThird = customizeRoleCallThird;
    }

    public Integer getCustomizeRoleCallFourth() {
        return customizeRoleCallFourth;
    }

    public void setCustomizeRoleCallFourth(Integer customizeRoleCallFourth) {
        this.customizeRoleCallFourth = customizeRoleCallFourth;
    }

    public Integer getCustomizeRoleCallFifth() {
        return customizeRoleCallFifth;
    }

    public void setCustomizeRoleCallFifth(Integer customizeRoleCallFifth) {
        this.customizeRoleCallFifth = customizeRoleCallFifth;
    }

    public Integer getCustomizeHospitalCallFirst() {
        return customizeHospitalCallFirst;
    }

    public void setCustomizeHospitalCallFirst(Integer customizeHospitalCallFirst) {
        this.customizeHospitalCallFirst = customizeHospitalCallFirst;
    }

    public String getCustomizeHospitalCallFirstName() {
        return customizeHospitalCallFirstName;
    }

    public void setCustomizeHospitalCallFirstName(String customizeHospitalCallFirstName) {
        this.customizeHospitalCallFirstName = customizeHospitalCallFirstName;
    }

    public Integer getCustomizeHospitalCallSecond() {
        return customizeHospitalCallSecond;
    }

    public void setCustomizeHospitalCallSecond(Integer customizeHospitalCallSecond) {
        this.customizeHospitalCallSecond = customizeHospitalCallSecond;
    }

    public String getCustomizeHospitalCallSecondName() {
        return customizeHospitalCallSecondName;
    }

    public void setCustomizeHospitalCallSecondName(String customizeHospitalCallSecondName) {
        this.customizeHospitalCallSecondName = customizeHospitalCallSecondName;
    }

    public Integer getCustomizeHospitalCallThird() {
        return customizeHospitalCallThird;
    }

    public void setCustomizeHospitalCallThird(Integer customizeHospitalCallThird) {
        this.customizeHospitalCallThird = customizeHospitalCallThird;
    }

    public String getCustomizeHospitalCallThirdName() {
        return customizeHospitalCallThirdName;
    }

    public void setCustomizeHospitalCallThirdName(String customizeHospitalCallThirdName) {
        this.customizeHospitalCallThirdName = customizeHospitalCallThirdName;
    }

    public Integer getCustomerNameHidden() {
        return customerNameHidden;
    }

    public void setCustomerNameHidden(Integer customerNameHidden) {
        this.customerNameHidden = customerNameHidden;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public Integer getDoctorValid() {
        return doctorValid;
    }

    public void setDoctorValid(Integer doctorValid) {
        this.doctorValid = doctorValid;
    }

    public String getNurseTitle() {
        return nurseTitle;
    }

    public void setNurseTitle(String nurseTitle) {
        this.nurseTitle = nurseTitle;
    }

    public Integer getNurseValid() {
        return nurseValid;
    }

    public void setNurseValid(Integer nurseValid) {
        this.nurseValid = nurseValid;
    }

    public String getDoorNurseTitle() {
        return doorNurseTitle;
    }

    public void setDoorNurseTitle(String doorNurseTitle) {
        this.doorNurseTitle = doorNurseTitle;
    }

    public Integer getDoorNurseValid() {
        return doorNurseValid;
    }

    public void setDoorNurseValid(Integer doorNurseValid) {
        this.doorNurseValid = doorNurseValid;
    }

    public String getDoorNursingTitle() {
        return doorNursingTitle;
    }

    public void setDoorNursingTitle(String doorNursingTitle) {
        this.doorNursingTitle = doorNursingTitle;
    }

    public Integer getDoorNursingValid() {
        return doorNursingValid;
    }

    public void setDoorNursingValid(Integer doorNursingValid) {
        this.doorNursingValid = doorNursingValid;
    }

    public Integer getUpSeconds() {
        return upSeconds;
    }

    public void setUpSeconds(Integer upSeconds) {
        this.upSeconds = upSeconds;
    }

    public Integer getAutoAccept() {
        return autoAccept;
    }

    public void setAutoAccept(Integer autoAccept) {
        this.autoAccept = autoAccept;
    }

    public Boolean getBoardShowEmptyBed() {
        return boardShowEmptyBed;
    }

    public void setBoardShowEmptyBed(Boolean boardShowEmptyBed) {
        this.boardShowEmptyBed = boardShowEmptyBed;
    }

    public Integer getEventForward() {
        return eventForward;
    }

    public void setEventForward(Integer eventForward) {
        this.eventForward = eventForward;
    }

    public String getNursingColorRgb() {
        return nursingColorRgb;
    }

    public void setNursingColorRgb(String nursingColorRgb) {
        this.nursingColorRgb = nursingColorRgb;
    }

    public Integer getTwoColorDoorLightValid() {
        return twoColorDoorLightValid;
    }

    public void setTwoColorDoorLightValid(Integer twoColorDoorLightValid) {
        this.twoColorDoorLightValid = twoColorDoorLightValid;
    }

    public String getQrUrl() {
        return qrUrl;
    }

    public void setQrUrl(String qrUrl) {
        this.qrUrl = qrUrl;
    }

    public Integer getChannelImHistoryStoreDays() {
        return channelImHistoryStoreDays;
    }

    public void setChannelImHistoryStoreDays(Integer channelImHistoryStoreDays) {
        this.channelImHistoryStoreDays = channelImHistoryStoreDays;
    }

    public Integer getRecordEnabled() {
        return recordEnabled;
    }

    public void setRecordEnabled(Integer recordEnabled) {
        this.recordEnabled = recordEnabled;
    }

    @Override
    public String toString() {
        return "PartSettingDO{" +
                "id=" + id +
                ", unionId='" + unionId + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", partId=" + partId +
                ", dayStart='" + dayStart + '\'' +
                ", dayLight=" + dayLight +
                ", dayVol=" + dayVol +
                ", dayRingVol=" + dayRingVol +
                ", dayRingTimes=" + dayRingTimes +
                ", dayNurseLed=" + dayNurseLed +
                ", dayDoorVol=" + dayDoorVol +
                ", dayBedVol=" + dayBedVol +
                ", dayTransferBoxVol=" + dayTransferBoxVol +
                ", dayTransferBoxSystemVol=" + dayTransferBoxSystemVol +
                ", nightStart='" + nightStart + '\'' +
                ", nightLight=" + nightLight +
                ", nightVol=" + nightVol +
                ", nightRingVol=" + nightRingVol +
                ", nightRingTimes=" + nightRingTimes +
                ", nightNurseLed=" + nightNurseLed +
                ", nightDoorVol=" + nightDoorVol +
                ", nightBedVol=" + nightBedVol +
                ", nightTransferBoxVol=" + nightTransferBoxVol +
                ", nightTransferBoxSystemVol=" + nightTransferBoxSystemVol +
                ", sleepSecondsNurse=" + sleepSecondsNurse +
                ", sleepSecondsDoor=" + sleepSecondsDoor +
                ", sleepSecondsBed=" + sleepSecondsBed +
                ", sipOvertime=" + sipOvertime +
                ", transferDuration=" + transferDuration +
                ", transferDurationLeader=" + transferDurationLeader +
                ", communicationModeBed=" + communicationModeBed +
                ", communicationModeNurse=" + communicationModeNurse +
                ", communicationModeMobile=" + communicationModeMobile +
                ", customizeRoleCallFirst=" + customizeRoleCallFirst +
                ", customizeRoleCallSecond=" + customizeRoleCallSecond +
                ", customizeRoleCallThird=" + customizeRoleCallThird +
                ", customizeRoleCallFourth=" + customizeRoleCallFourth +
                ", customizeRoleCallFifth=" + customizeRoleCallFifth +
                ", customizeHospitalCallFirst=" + customizeHospitalCallFirst +
                ", customizeHospitalCallFirstName='" + customizeHospitalCallFirstName + '\'' +
                ", customizeHospitalCallSecond=" + customizeHospitalCallSecond +
                ", customizeHospitalCallSecondName='" + customizeHospitalCallSecondName + '\'' +
                ", customizeHospitalCallThird=" + customizeHospitalCallThird +
                ", customizeHospitalCallThirdName='" + customizeHospitalCallThirdName + '\'' +
                ", customerNameHidden=" + customerNameHidden +
                ", doctorTitle='" + doctorTitle + '\'' +
                ", doctorValid=" + doctorValid +
                ", nurseTitle='" + nurseTitle + '\'' +
                ", nurseValid=" + nurseValid +
                ", doorNurseTitle='" + doorNurseTitle + '\'' +
                ", doorNurseValid=" + doorNurseValid +
                ", doorNursingTitle='" + doorNursingTitle + '\'' +
                ", doorNursingValid=" + doorNursingValid +
                ", upSeconds=" + upSeconds +
                ", autoAccept=" + autoAccept +
                ", boardShowEmptyBed=" + boardShowEmptyBed +
                ", eventForward=" + eventForward +
                ", nursingColorRgb='" + nursingColorRgb + '\'' +
                ", twoColorDoorLightValid=" + twoColorDoorLightValid +
                ", qrUrl='" + qrUrl + '\'' +
                ", channelImHistoryStoreDays=" + channelImHistoryStoreDays +
                '}';
    }
}
